org.eclnt.jsfserver.elements.componentnodes

## Class CLIENTFILEPUSHERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CLIENTFILEPUSHERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CLIENTFILEPUSHERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIENTFILEPUSHERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIENTFILEPUSHERNode` | `bindActionListener(IActionListenerDelegation value)`
    `CLIENTFILEPUSHERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `CLIENTFILEPUSHERNode` | `bindComment(IDynamicContentBindingObject value)`
    `CLIENTFILEPUSHERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CLIENTFILEPUSHERNode` | `bindFilename(IDynamicContentBindingObject value)`
    `CLIENTFILEPUSHERNode` | `bindFileoverwrite(IDynamicContentBindingObject value)`
    `CLIENTFILEPUSHERNode` | `bindFileremoveondestroy(IDynamicContentBindingObject value)`
    `CLIENTFILEPUSHERNode` | `bindHexcontent(IDynamicContentBindingObject value)`
    `CLIENTFILEPUSHERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `CLIENTFILEPUSHERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `CLIENTFILEPUSHERNode` | `bindTrigger(IDynamicContentBindingObject value)`
    `CLIENTFILEPUSHERNode` | `setActionListener(java.lang.String value)`
    `CLIENTFILEPUSHERNode` | `setAdapterbinding(java.lang.String value)`
    `CLIENTFILEPUSHERNode` | `setAttributemacro(java.lang.String value)`
    `CLIENTFILEPUSHERNode` | `setComment(java.lang.String value)`
    `CLIENTFILEPUSHERNode` | `setConfiginfo(java.lang.String value)`
    `CLIENTFILEPUSHERNode` | `setFilename(java.lang.String value)`
    `CLIENTFILEPUSHERNode` | `setFileoverwrite(boolean value)`
    `CLIENTFILEPUSHERNode` | `setFileoverwrite(java.lang.String value)`
    `CLIENTFILEPUSHERNode` | `setFileremoveondestroy(boolean value)`
    `CLIENTFILEPUSHERNode` | `setFileremoveondestroy(java.lang.String value)`
    `CLIENTFILEPUSHERNode` | `setHexcontent(java.lang.String value)`
    `CLIENTFILEPUSHERNode` | `setId(java.lang.String value)`
    `CLIENTFILEPUSHERNode` | `setReference(java.lang.String value)`
    `CLIENTFILEPUSHERNode` | `setRendered(boolean value)`
    `CLIENTFILEPUSHERNode` | `setRendered(java.lang.String value)`
    `CLIENTFILEPUSHERNode` | `setStylevariant(java.lang.String value)`
    `CLIENTFILEPUSHERNode` | `setTrigger(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CLIENTFILEPUSHERNode

          public CLIENTFILEPUSHERNode()

  - ### Method Detail

    - #### setId

          public CLIENTFILEPUSHERNode setId(java.lang.String value)

    - #### setActionListener

          public CLIENTFILEPUSHERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public CLIENTFILEPUSHERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public CLIENTFILEPUSHERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public CLIENTFILEPUSHERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public CLIENTFILEPUSHERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public CLIENTFILEPUSHERNode setComment(java.lang.String value)

    - #### bindComment

          public CLIENTFILEPUSHERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CLIENTFILEPUSHERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CLIENTFILEPUSHERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFilename

          public CLIENTFILEPUSHERNode setFilename(java.lang.String value)

    - #### bindFilename

          public CLIENTFILEPUSHERNode bindFilename(IDynamicContentBindingObject value)

    - #### setFileoverwrite

          public CLIENTFILEPUSHERNode setFileoverwrite(java.lang.String value)

    - #### bindFileoverwrite

          public CLIENTFILEPUSHERNode bindFileoverwrite(IDynamicContentBindingObject value)

    - #### setFileoverwrite

          public CLIENTFILEPUSHERNode setFileoverwrite(boolean value)

    - #### setFileremoveondestroy

          public CLIENTFILEPUSHERNode setFileremoveondestroy(java.lang.String value)

    - #### bindFileremoveondestroy

          public CLIENTFILEPUSHERNode bindFileremoveondestroy(IDynamicContentBindingObject value)

    - #### setFileremoveondestroy

          public CLIENTFILEPUSHERNode setFileremoveondestroy(boolean value)

    - #### setHexcontent

          public CLIENTFILEPUSHERNode setHexcontent(java.lang.String value)

    - #### bindHexcontent

          public CLIENTFILEPUSHERNode bindHexcontent(IDynamicContentBindingObject value)

    - #### setReference

          public CLIENTFILEPUSHERNode setReference(java.lang.String value)

    - #### setRendered

          public CLIENTFILEPUSHERNode setRendered(java.lang.String value)

    - #### bindRendered

          public CLIENTFILEPUSHERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CLIENTFILEPUSHERNode setRendered(boolean value)

    - #### setStylevariant

          public CLIENTFILEPUSHERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public CLIENTFILEPUSHERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTrigger

          public CLIENTFILEPUSHERNode setTrigger(java.lang.String value)

    - #### bindTrigger

          public CLIENTFILEPUSHERNode bindTrigger(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.